Retrieve a specific quote by its unique identifier.
Use this endpoint to:
- Verify quote details before creating a payment
- Check if a quote is still active (not expired)
- Retrieve the
quoteIdneeded for payment creation
Note: Quotes expire after a defined period. Check the quoteStatus field to confirm the quote is ACTIVE before using it to create a payment.
- Mock serverhttps://docs.ripple.com/_mock/pt-br/products/payments-direct-2/api-docs/payments-direct-api/payments-direct-2-api/v3/quotes/{quote-id}
- UAT environment with simulated currencyhttps://api.test.ripple.com/v3/quotes/{quote-id}
- Production environmenthttps://api.ripple.com/v3/quotes/{quote-id}
curl -i -X GET \
https://docs.ripple.com/_mock/pt-br/products/payments-direct-2/api-docs/payments-direct-api/payments-direct-2-api/v3/quotes/22222222-aaaa-2222-bbbb-222222222222 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Valid quote found
Unique ID that represents this quote.
| Enum Value | Description |
|---|---|
| EXPIRED | Expired quote |
| ACTIVE | Quote that you can accept to create a payment. |
The type of amount for which you want to get a quote.
| Enum Value | Description |
|---|---|
| SOURCE_AMOUNT | Specify this value to get a quote for the amount that you want to send. |
| DESTINATION_AMOUNT | Specify this value to get a quote for the amount that the beneficiary should receive. |
The currency code of the currency that you are sending.
The currency code of the currency in which your beneficiary will receive this payment.
The country where the payment originator is located or incorporated, specified in Alpha-2 Code format as defined in the ISO CountryCode ISO 3166-1 list.
The country code to which you wish to send the funds. It follows ISO 3166-1 alpha-2 code
The name of payin category specified in the quote request.
The time when this quote was created, specified in UTC.
The time when this quote expires, specified in UTC.
{ "quoteId": "7ea3399c-1234-5678-8d8f-d320ea406630", "quoteStatus": "ACTIVE", "quoteAmountType": "SOURCE_AMOUNT", "sourceAmount": 123.45, "destinationAmount": 2438.19, "sourceCurrency": "USD", "destinationCurrency": "MXN", "sourceCountry": "US", "destinationCountry": "MX", "payinCategory": "PRE_FUNDING", "adjustedExchangeRate": { "adjustedRate": 2 }, "fees": [ { … } ], "taxes": [ { … } ], "createdAt": "2023-11-02T18:26:00.000123Z", "expiresAt": "2023-11-02T18:26:00.000123Z", "paymentRail": "SPEI" }